Subject: The use of Humic acids (humates) for increase fruit production

From: [email-masked] (R..H.Faust)
Date: Sat, 07 Oct 1995 09:39:47 -1000

I am a farmer and researcher, I have been working for 25 years with.
Commercial humates for soil regeneration ,increased yeilds, and as a
rapid source of carbon and organic matter. I would like to hear from anyone
interested in humates or have been using humates. Or people who want
to benefit their soil and solve problems of low soil organic matter.
Humate a a couple hundred pounds per acre replace tons of compost.
Humates are the best and fastest way to increase agricultural productivity
without clearing more land.Increased citrus growth,reduced decline on most
trop. fruit. The best way to increase root development and trace element
availability. Reduced pest problems. Humate is the cheapest way to
increase tree growth. and N.Mex. humates from the Menefee formation are
the best.